# 示例项目

<p class="description">请参考以下一些入门项目，来帮助你快速开始。</p>

## 官方示例

您可以在 [GitHub 存储库](https://github.com/mui-org/material-ui)中的 [`/examples`](https://github.com/mui-org/material-ui/tree/master/examples) 文件夹下找到一些示例项目：

- [Create React App](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app) （[TypeScript 版本](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-typescript)）
- [Gatsby](https://github.com/mui-org/material-ui/tree/next/examples/gatsby)
- [Gatsby 主题](https://github.com/mui-org/material-ui/tree/next/examples/gatsby-theme)
- [Next.js](https://github.com/mui-org/material-ui/tree/next/examples/nextjs) （[TypeScript 版本](https://github.com/mui-org/material-ui/tree/next/examples/nextjs-with-typescript)）
- [Preact](https://github.com/mui-org/material-ui/tree/next/examples/preact)
- [CDN](https://github.com/mui-org/material-ui/tree/next/examples/cdn)
- [朴素的服务端渲染](https://github.com/mui-org/material-ui/tree/next/examples/ssr)
- [使用 styled-components 来作为样式渲染引擎](https://github.com/mui-org/material-ui/tree/next/examples/create-react-app-with-styled-components)

Create React App 是一个很棒的学习 React 的项目。 请看一下这些[可用的替代方案](https://github.com/facebook/create-react-app/blob/master/README.md#popular-alternatives) ，看看哪个项目最符合您的需求。

此文档站点的源代码也包含在存储库中。 这是一个稍微复杂一点的项目。 请查看 [`/docs`](https://github.com/mui-org/material-ui/tree/master/docs) 文件夹以获取创建项目的说明。

## 进阶示例项目

如果你想从一个更完整、切合实际的示例开始，你可以看看[高级主题&模板](https://material-ui.com/store/?utm_source=docs&utm_medium=referral&utm_campaign=example-projects-store)，或者：

### 免费的资源

- [React 最常用到的](https://github.com/TarikHuber/react-most-wanted)：

  - 使用 Create React App 创建
  - 定制化的 Create React App 仅需单行 CLI 命令就能开始一个新项目
  - 使用官方的 Firebase Web Auth UI 来构建 Firebase，并涵盖了身份验证
  - 使用 React Router 进行路由，包括错误处理（404）和延迟加载
  - 包含所有渐进式网页应用（PWA）的功能（SW 即 Service Worker， 通知，延迟安装的提示，以及更多）
  - 优化和可扩展的性能（在 Lighthouse 总共有大约100分）

- [RMUIF](https://github.com/phoqe/rmuif):

  - 使用 Create React App 创建，也是可以开箱即用
  - 基于 Firebase 建成，并包括它所有网站上的产品
  - 使用 React Router 进行可靠的路由，包括了保护的路由和错误处理
  - 全面的移动支持，带有全屏对话框和 react-swipeable-views 的选项卡
  - 跨平台应用程序的的监测工作，主要是使用 Sentry 生成的错误报告

- [Material Sense](https://github.com/alexanmtz/material-sense):

  - 使用 recharts 的图表
  - 运用 React Router 的一个导航示例
  - 一个在生产环境下使用的带有 Nginx 服务器的 docker container（docker 容器)。
  - 使用 Create React App 创建

- [React SaaS 模板](https://github.com/dunky11/react-saas-template)：

  - 使用 Create React App 创建
  - 特征是一个登录页面，博客，一个登录和注册的区块，以及一个管理员控制界面
  - 完全使用 react-router 来路由
  - 延迟加载组件以提高性能
  - 一些显示统计数据、带有表情支持的文本、图片上传和更多内容的组件。。。

### 付费的资源

- [ScaffoldHub](https://scaffoldhub.io/?partner=1):

  - 使用此在线工具构建您的完整应用程序
  - 选择您的框架和库（React & Material UI!）
  - 选择您的数据库（SQL，MongoDB 或 Firestree）
  - 用直观的 GUI 模拟你的数据库和应用程序
  - 生成您的应用程序，包括一个完整的 scaffolded 后台
  - 在线预览您的应用程序，并下载生成的代码
